Subject: Re: What's cooking in git.git (Jul 2021, #05; Wed, 21)

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Fri, 23 Jul 2021 09:32:23 +0200

On Thu, Jul 22 2021, Junio C Hamano wrote:

> Ævar Arnfjörð Bjarmason <[email-masked]> writes:
>
>>> * ab/refs-files-cleanup (2021-07-20) 12 commits
>>>  - refs/files: remove unused "errno != ENOTDIR" condition
>>>  - refs/files: remove unused "errno == EISDIR" code
>>>  - refs/files: remove unused "oid" in lock_ref_oid_basic()
>>>  - reflog expire: don't lock reflogs using previously seen OID
>>>  - refs/files: add a comment about refs_reflog_exists() call
>>>  - refs: make repo_dwim_log() accept a NULL oid
>>>  - refs API: pass the "lock OID" to reflog "prepare"
>>>  - refs/debug: re-indent argument list for "prepare"
>>>  - refs/files: remove unused "skip" in lock_raw_ref() too
>>>  - refs/files: remove unused "extras/skip" in lock_ref_oid_basic()
>>>  - refs/files: remove unused REF_DELETING in lock_ref_oid_basic()
>>>  - refs/packet: add missing BUG() invocations to reflog callbacks
>>>  (this branch is used by hn/refs-errno-cleanup.)
>>>
>>>  Patches are mostly good, but needs typofixes etc.
>>>
>>>  Will merge to 'next'.
>>
>> Yay, thanks!
>
> Yikes, I shouldn't have said Will merge when I clearly said "needs
> typofixes".  If you are employing the strategy to wear me out and
> mistakenly merge topics prematurely, it is succeeding X-<.

I read this as the "needs typo..." comment referring to v2:
https://lore.kernel.org/git/[email-masked]/

But it being outdated given the timing & you having picked up the v3
with those fixes in "seen":
https://lore.kernel.org/git/[email-masked]/

v3 only has the discussion about the "lock OID" being passed in, which
Han-Wen replied to (you and me CC'd) in saying:
https://lore.kernel.org/git/CAFQ2z_PuNJ_KtS_O9R2s0jdGbNNKnKdS3=[email-masked]/

    Reftable could easily read the current OID for the reference, if necessary. 

Except that last lore.kernel.org link doesn't work since that reply has
an HTML part. Will reply there.

>>> * ab/attribute-format (2021-07-13) 5 commits
>>> [...]
>>> * ab/imap-send-read-everything-simplify (2021-07-07) 1 commit
>>> [...]
>>> * ab/pkt-line-tests (2021-07-19) 1 commit
>>
>> Thanks!
>
> Thanks for all of these.
>
>>> * ab/bundle-doc (2021-07-20) 3 commits
>>>  - bundle doc: elaborate on rev<->ref restriction
>>>  - bundle doc: elaborate on object prerequisites
>>>  - bundle doc: rewrite the "DESCRIPTION" section
>>>
>>>  Doc update.
>>>
>>>  Expecting a reroll.
>>>  at least for the second patch.
>
> Sorry, I think we have a reroll that updates the second one and that
> is what we list here.  IOW the comment is stale.
>> My reading-between-the-lines of
>> https://lore.kernel.org/git/[email-masked]/ and
>> https://lore.kernel.org/git/[email-masked]/ is that you'd be
>> happy toh have this be merged down in its current form, no?
>
> As I commented, the tip one's mention of show-ref is rather iffy.
> I thought you'd be rephrasing it further in response to Philip's
> "what about list-heads?" (I am not sure if it is wise to stress on
> list-heads, which was a debugging aid, when ls-remote is available).
>
> Also, the second one talks about "object prerequisites" (I think
> calling them "prerequisite objects" would be more natural, though)
> and the third one uses "basis" (I take that the "bases" in "the
> given bases" is used as the plural for the word), but it is not
> clear to readers that these mean the same thing.  If we are touching
> the doc, we may want to make sure the end-result as a whole gives a
> coherent narrative.

Willdo, I misread the most recent discussion initially.